//
//  NotificationContent.swift
//  NotificationContentExtension
//

import UIKit
import HIVEExtensions
import UserNotifications
import UserNotificationsUI

@objc(NotificationContent)
class NotificationContent: UIViewController, UNNotificationContentExtension {
    
    func didReceive(_ notification: UNNotification) {
        HiveNotificationContent.didReceive(notification)
    }
    
    func didReceive(_ response: UNNotificationResponse) async -> UNNotificationContentExtensionResponseOption {
        await HiveNotificationContent.didReceive(response)
    }
    
}
